#
# spec file for package rsync (Version 2.4.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         rsync
Copyright:    Andrew Tridgell and Paul Mackerras (GPL)
Group:        Networking/Utilities
Provides:     rsync 
Autoreqprov:  on
Version:      2.4.6
Release:      186
Summary:      Replacement for rcp/mirror that has many more features
Source:       ftp://rsync.samba.org/pub/rsync/rsync-%{version}.tar.bz2
Patch:        rsync-%{version}.dif

%description
rsync uses the "rsync algorithm" which provides a very fast method for
bringing remote files into sync. It does this by sending just the
differences in the files across the link, without requiring that both
sets of files are present at one of the ends of the link beforehand.
At first glance this may seem impossible because the calculation of
diffs between two files normally requires local access to both
files.
A technical report describing the rsync algorithm is included with
this package.

Authors:
--------
    Andrew.Tridgell@anu.edu.au
    paulus@cs.anu.edu.au

SuSE series: n

%prep
%setup 
%patch

%build
CFLAGS=$RPM_OPT_FLAGS LDFLAGS=-s ./configure --prefix=/usr \
	--infodir=/usr/share/info --mandir=%{_mandir}
make
latex tech_report
latex tech_report
dvips tech_report -o tech_report.ps

%install
make install
rm -f /usr/sbin/rsyncd
ln -s ../bin/rsync /usr/sbin/rsyncd
install -m 755 -o root -g root rsyncstats /usr/bin
install -m 644 -o root -g root rsyncd.conf /etc/rsyncd.conf
install -m 600 -o root -g root rsyncd.secrets /etc/rsyncd.secrets
install -m 755 -o root -g root rsyncd.rc /etc/init.d/rsyncd
ln -sf ../../etc/init.d/rsyncd /usr/sbin/rcrsyncd
install -m 644 -o root -g root rsyncd.rc.config /var/adm/fillup-templates/rc.config.rsyncd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.rsyncd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.rsyncd and"
  echo "update by hand."
fi
# Create symbolic run level links during installation
sbin/insserv etc/init.d/rsyncd

%postun
sbin/insserv etc/init.d/

%files
%config(noreplace) /etc/rsyncd.conf
%config(noreplace) /etc/rsyncd.secrets
%config /etc/init.d/rsyncd
/usr/sbin/rcrsyncd
/usr/bin/rsync
/usr/sbin/rsyncd
/usr/bin/rsyncstats
/var/adm/fillup-templates/rc.config.rsyncd 
%doc %{_mandir}/man1/rsync.1.gz
%doc %{_mandir}/man5/rsyncd.conf.5.gz
%doc COPYING README tech_report.ps tech_report.tex

%changelog -n rsync
* Tue Aug 28 2001 - ro@suse.de
- on uninstall, call insserv to cleanup
* Tue Aug 28 2001 - ro@suse.de
- added rc-script and rc-config variable START_RSYNCD
  if someone wants to run rsyncd standalone (w/o inetd) (#9496)
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Sep 13 2000 - aj@suse.de
- Work with LFS; fix spec file to not print while building.
* Mon Sep 11 2000 - ro@suse.de
- update to 2.4.6
* Fri Aug 18 2000 - ro@suse.de
- update to 2.4.4
* Thu Jan 20 2000 - aj@suse.de
- rsync 2.3.2, install man pages -> /usr/share/man.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 13 1999 - fehr@suse.de
- update to 2.3.1
- added rsyncstats shell script
* Thu Dec 17 1998 - ro@suse.de
- update to 2.2.1
* Sat Nov 28 1998 - bs@suse.de
- added symlink /usr/sbin/rsyncd (to let it work with tcpd)
- added example configs
* Tue Nov 24 1998 - ro@suse.de
- update to 2.2.0
* Sat Sep 19 1998 - ro@suse.de
- defined _GNU_SOURCE where getopt_long is needed
* Mon Aug 24 1998 - ro@suse.de
- update to 2.1.0
  added manpage for rsyncd.conf
* Tue May 12 1998 - ro@suse.de
- update to 1.7.4
  generate tech_report.ps from tex-src
* Mon Nov 10 1997 - kfr@suse.de
- first version for S.u.S.E. (1.6.3)
